# Relation

#### Custodian Relationship Types <a href="#custodian-relationship-types" id="custodian-relationship-types"></a>

Valid options are:

* `parent`
* `legal_guardian`

#### `POST /participants/customers/minor` <a href="#post-participants-customers-minor" id="post-participants-customers-minor"></a>

```
const postParticipantMinor = () => {
  const body = {
    first_name: 'Gaurav',
    last_name: 'Mehta',
    email: 'gewgawrav@gmail.com',
    address_one: '1 Near CST',
    address_two: 'Fort Area',
    country: 'India',
    city: 'Mumbai',
    zip: '450001',
    state: 'MH',
    date_of_birth: '1989-10-13',
    id_number_type: 'aadhar_acardt',
    id_number: '123456789',
    non_us_other_type: null,
    id_issuing_authority: null,
    utma_signed_timestamp: 1603378501286,
    custodian_participant_code: 'CAST01',
    custodian_relationship: 'parent',
    metadata: {}
  }
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'POST' + '/participants/customers/minor' + JSON.stringify(body)
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.post(
    `https://api.ndax.in/participants/customers/minor`,
    options
  )
}
```

> Sample Request

```
{
  "first_name": "Gaurav",
  "last_name": "Mehta",
  "email": "gewgawrav@gmail.com",
  "address_one": "1 Near CS",
  "address_two": "Fort Area",
  "country": "India",
  "city": "Mumbai",
  "zip": "450001",
  "state": "MH",
  "date_of_birth": "1989-10-13",
  "id_number_type": "aadhar_acard",
  "id_number": "123456789",
  "non_us_other_type": null,
  "id_issuing_authority": null,
  "utma_signed_timestamp": 1603378501286,
  "custodian_participant_code": "CAST01",
  "custodian_relationship": "parent",
  "metadata": {}
}
```

Submits a minor and links it to a custodian. Used in the context of the UTMA product.

Request body:

<table><thead><tr><th width="165.33333333333331">Parameter</th><th width="486">Description</th><th>Type</th></tr></thead><tbody><tr><td>first_name</td><td>The first name of the customer, required</td><td>string</td></tr><tr><td>last_name</td><td>The last name of the customer, required</td><td>string</td></tr><tr><td>email</td><td>Customer email address, required<br>Note: NDAX will validate that the <code>email</code> is a correctly formatted email, and that the value is unique per-platform</td><td>string</td></tr><tr><td>address_one</td><td>First line for the customer's address, required<br>Note: PO Box addresses are not accepted</td><td>string</td></tr><tr><td>address_two</td><td>First line for the customer's address, if applicable, optional</td><td>string</td></tr><tr><td>city</td><td>The city customer resides in, required</td><td>string</td></tr><tr><td>state</td><td>The state the customer resides in, required if country is "United States"<br>Note: must be one of the supported states</td><td>string</td></tr><tr><td>zip</td><td>Zip code of the customer in the format <code>&#x3C;5digits></code> or <code>&#x3C;5digits>-&#x3C;4digits></code>, e.g. <code>77777</code> or <code>77777-7777</code>, required if country is "United States"</td><td>string</td></tr><tr><td>country</td><td>The country the customer resides in, required<br>Note: must be one of the supported countries</td><td>string</td></tr><tr><td>date_of_birth</td><td>Date of birth of the customer in the format <code>YYYY-MM-DD</code>, required</td><td>string</td></tr><tr><td>id_number_type</td><td>The type of ID document provided, required<br>Note: must be one of the supported ID types</td><td>string</td></tr><tr><td>id_number</td><td>The ID number for the customer, required</td><td>string</td></tr><tr><td>non_us_other_type</td><td>This is required if you select <code>non_us_other</code> for the <code>id_number_type</code> - a freeform string to describe the ID type</td><td>string</td></tr><tr><td>id_issuing_authority</td><td>The issuing authority for the ID, if available, optional</td><td>string</td></tr><tr><td>utma_signed_timestamp</td><td>The UNIX timestamp (in milliseconds) when the User Agreement UTMA Addendum was accepted by the custodian</td><td>timestamp</td></tr><tr><td>custodian_participant_code</td><td>The already-submitted participant code of the associated custodian</td><td>object</td></tr><tr><td>custodian_relationship</td><td>The type of custodian provided. if the field is filled, must be one of the supported custodian relationship</td><td>string</td></tr><tr><td>metadata</td><td>Can be used to submit any additional unstructed metadata</td><td>object</td></tr></tbody></table>

Additional fields in response:

<table><thead><tr><th width="183">Parameter</th><th width="489.3333333333333">Description</th><th>Type</th></tr></thead><tbody><tr><td>platform_code</td><td>The unique identifier for the Platform onto which the customer has been created</td><td>string</td></tr><tr><td>participant_code</td><td>The NDAX identifier for the new customer<br>Note: this value is key to enable you to submit trades and check account balances for this customer</td><td>string</td></tr></tbody></table>

**Supported Regions**

NDAX operates in a limited regions. For more information, please contact us to learn more. Please refer to our disclosures page for more information on regional regulation.&#x20;

**ID Types**

Valid options are:

* `aadhar_card`
* `in_driving_license`
* `in_passport`
* `in_passport_card`
* `non_in_passport`
* `non_in_other`

> Sample Response

```
{
  "message": {
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "address_one": "string",
    "address_two": "string",
    "country": "string",
    "city": "string",
    "zip": "string",
    "state": "string",
    "date_of_birth": "string",
    "id_number_type": "ssn",
    "id_number": "string",
    "non_in_other_type": "string",
    "id_issuing_authority": "string",
    "utma_signed_timestamp": 0,
    "custodian_participant_code": "string",
    "participant_code": "string",
    "platform_code": "string",
    "custodian_relationship": "string",
    "metadata": {}
  }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/participants/relation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
